Get an Epic Experience with Premium

epgp (dkp reloaded)

Guild Login to Add Favorites
  • 13 Likes
  • World of Warcraft
  • 8,294 Monthly Downloads
  • Supports: 5.4.2
  • 2,684,959 Total Downloads
  • Updated 03/02/2014
  • Created 10/15/2006
  • 1,478 Favorites
  • Project Site
  • Comments
  • Release Type: Release
  • License: BSD License
  • Newest File: epgp-5.9.22
or
Support development! **
Donate

About epgp (dkp reloaded)

EPGP is an Effort/Gear reward system and addon for World of Warcraft.

Detailed Firelands Release Notes are available.

The addon can work completely in game, storing the data in your guild's officer notes. As of version 5.3 it can also export data to EPGPWeb for backup and offgame purposes.

For more information about the EPGP system and how the addon works read up on the documentation.

For support and discussion please visit the EPGP Discussion and Support Forum.


Help EPGP now: Localize EPGP in your language!


  • fix issues with connected realm guild members of the same name (thanks shmoodude)

Comments

First Previous Page 5 of 20 Next Last
  • #245

    hi!

    How can I modify the reason of GP? Why there is not the option of "others" like in EP?

     

    Thanks

  • #248
    Quote from MireiaMia »

    hi!

    How can I modify the reason of GP? Why there is not the option of "others" like in EP?

     

    Thanks

    Use /epgp gp <name> <itemlink> cost 

     

  • #244

    The list of available downloads are:

    There appears to be a version error.
  • #240

    Date: 2012-11-27 14:56:18
    ID: 1
    Error occured in: Global
    Count: 1
    Message: ...pgp\libs\LibBabble-Class-3.0\LibBabble-Class-3.0.lua line 239:
    bad argument #2 to 'format' (string expected, got nil)
    Debug:
    [C]: ?
    [C]: format()
    ...pgp\libs\LibBabble-Class-3.0\LibBabble-Class-3.0.lua:239: in main chunk
    Locals:
    (*temporary) = "%s: Locale %q not supported"
    (*temporary) = "LibBabble-Class-3.0"
    (*temporary) = nil
    (*temporary) = "string expected, got nil"

    AddOns:
    Swatter, v5.14.5335 (KowariOnCrutches)
    NPCScan, v5.0.0.5
    NPCScanOverlay, v5.0.0.3
    ACP, v3.4
    Castbars, v
    ClassTimer, v2.3
    DBMCore, v
    DebugLib, v5.1.DEV.312(/embedded)
    eAlign, v
    epgp, v5.8.8
    GTFO, v4.17
    JSHB, vv4.06
    JSMD, vv1.7
    Mapster, v1.5.1
    MikScrollingBattleText, v5.7.123
    MoveAnything, v13.2.8
    Omen, v3.1.7
    OmniCC, v5.0.4
    Postal, v3.5.0
    Prat30, v3.5.1
    Prat30Libraries, v
    QuickMark, v3.141592653589793
    SellJunk, v3.0.8
    SexyMap, v2.3
    ShadowedUnitFrames, vv3.7.2
    SimpleILevel, v3.0.19
    SimpleILevelGroup, v3.0.19
    SimpleILevelResilience, v3.0.19
    Skada, v1.4-6
    SkadaCC, v1.0
    SkadaDamage, v1.0
    SkadaDamageTaken, v1.0
    SkadaDeaths, v1.0
    SkadaDebuffs, v1.0
    SkadaDispels, v1.0
    SkadaEnemies, v1.0
    SkadaHealing, v1.0
    SkadaPower, v1.0
    SkadaThreat, v1.0
    SlideBar, v5.14.5335 (KowariOnCrutches)
    Stubby, v5.14.5335 (KowariOnCrutches)
    TellMeWhen, v6.0.4
    TidyPlates, v6.7.9 (R548)
    TidyPlatesNeon, v
    TidyPlatesHub, v
    TidyPlatesWidgets, v
    Titan, v5.1.9.50001
    TitanBag, v5.1.9.50001
    TitanClock, v5.1.9.50001
    TitanGold, v5.1.9.50001
    TitanLocation, v5.1.9.50001
    TitanLootType, v5.1.9.50001
    TitanPerformance, v5.1.9.50001
    TitanRepair, v5.1.9.50001
    TitanVolume, v5.1.9.50001
    TitanXP, v5.1.9.50001
    TomTom, vv50001-1.3.1
    WIM, vr344
    BlizRuntimeLib_itIT v5.0.5.50001 <eu>
    (ck=55a)

     

  • #242

    The problem is that now itIT is a valid localization but LibBabble-Class doesn't have it.

    I have written about it a few comments down with a fix but noone wants listen :-/

     Please author add yourself the italian itIT to libclass or abandon the libclass (better).

     

    Last edited by gmarco on 12/12/2012 11:17:28 PM
  • #243

    oh, great!

    fixed, thank you gmarco!

  • #239

    Tokens and some weapons are showing as 0 GP. Any way to have this corrected? Thanks!

  • #238

    Date: 2012-11-18 11:28:34
    ID: 2
    Error occured in: Global
    Count: 1
    Message: ..\AddOns\epgp\LibLootNotify-1.0.lua line 87:
       table index is nil
    Debug:
       epgp\LibLootNotify-1.0.lua:87:
          epgp\LibLootNotify-1.0.lua:65
       epgp\LibLootNotify-1.0.lua:207:
          epgp\LibLootNotify-1.0.lua:205

    Was running an old raid (MC) and the addon was left on.

    Last edited by Zensunim on 11/18/2012 1:30:16 PM
  • #237

    An error/bug/thing:

    If I have ended a recurring award, every time I Mass Award EP afterwards the "whisper me" message will still announce to guild chat.

  • #241

    I experience this as well. it's a bit confusing to guildies - is there a fix?

  • #235

    Hi!

    I am not sure if this is the right place to post about this.

    I play a monk healer and on loot rolls EPGP is auto passing on leather armor so i cant roll for it but i can roll fro cloth, rings, trinkets, cloaks and weapons but not my own max armor type witch is leather. Hopeing someone here might not whats wrong. I am not the master looter so i dont have that EPGP - ML turned on. it worked before in the beginning of MoP but i cant remeber the last update that worked sorry if my problem is badly explained. This only happens in "epgp-5.8.6" 5.8.4 works

    Last edited by DoTzan on 11/8/2012 5:30:50 AM
  • #233

    Hi, I got error when we use Italian vesion of the game due the fact the used (and deprecated) LibBabble-class is outdated and not included the itIT translation.

    The error is fix adding:

    elseif l == "itIT" then
        lib:SetCurrentTranslations {
            ["Warlock"] = "Stregone",
            ["Warrior"] = "Guerriero",
            ["Hunter"] = "Cacciatore",
            ["Mage"] = "Mago",
            ["Priest"] = "Sacerdote",
            ["Druid"] = "Druido",
            ["Paladin"] = "Paladino",
            ["Shaman"] = "Shamano",
            ["Rogue"] = "Ladro",
            ["Deathknight"] = "Cavaliere della morte",
            
            ["WARLOCK"] = "Strega",
            ["WARRIOR"] = "Guerriera",
            ["HUNTER"] = "Cacciatrice",
            ["MAGE"] = "Maga",
            ["PRIEST"] = "Sacerdotessa",
            ["DRUID"] = "Druida",
            ["PALADIN"] = "Paladina",
            ["SHAMAN"] = "Shamana",
            ["ROGUE"] = "Ladra",
            ["Deathknight"] = "Cavaliere della morte",
        }

    to LibBabble-Class-3.0.lua in the libs\LibBabble-class-3.0 dir.

    Please can someone fix this or forget about the LibClass as:

    "This Library is no longer needed in 99% of the cases. You can get the localized name of all classes in both male and female form from the new global tables added in the 3.2 Content Patch.
    See LOCALIZED_CLASS_NAMES_MALE and LOCALIZED_CLASS_NAMES_FEMALE defined in Constants.lua.
    Please consider upgrading your addon to use those tables instead of LibBabble-Class-3.0, thanks!"

    from: http://www.wowace.com/addons/libbabble-class-3-0/

    Thanks.

    Last edited by gmarco on 12/12/2012 11:13:34 PM
  • #232

    I've had a problem with this addon for about 2 years now where the option to award EP or GP becomes "greyed out" and the addon won't allow any awards until I reloadUI. Could this possibly get a fix of some sort?

  • #236

    You cannot award EP through the addon's control panel while the guild panel is open.

    More than likely, this is the reason you are experiencing the "greyed out" option.

  • #231

    Date: 2012-10-11 00:43:49
    ID: -4
    Error occured in: Global
    Count: 1
    Message: ..\AddOns\epgp\epgp.lua line 672:
       assertion failed!
    Debug:
       (tail call): ?
       [C]: assert()
       epgp\epgp.lua:672: IncGPBy()
       ...nterface\AddOns\epgp_lootmaster_ml\lootmaster_ml.lua:1958: ?()
       ...non\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:147:
          ...non\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:147
       [string "safecall Dispatcher[16]"]:4:
          [string "safecall Dispatcher[16]"]:4
       [C]: ?
       [string "safecall Dispatcher[16]"]:13: ?()
       ...non\libs\CallbackHandler-1.0\CallbackHandler-1.0.lua:92: Fire()
       ...ace\AddOns\Bagnon\libs\AceEvent-3.0\AceEvent-3.0.lua:52:
          ...ace\AddOns\Bagnon\libs\AceEvent-3.0\AceEvent-3.0.lua:51
    Locals:
    None
    AddOns:
      Swatter, v5.14.5335 (KowariOnCrutches)
      BagBrother, v
      Bagnon, v5.0.4
      BagnonConfig, v
      Bartender4, v4.5.5
      bRez, v4.00
      Clique, vv50001-1.0.1-2-gb30d737
      DBMCore, v
      DBMGUI, v
      DBMMogushanVaults, v
      epgp, v5.8.6
      epgplootmaster, v0.6.22
      epgplootmasterml, v0.6.22
      Fatality, v2.2b
      Gnosis, vv3.23
      Grid, vr1535
      GridManaBars, v1.04
      GridStatusRaidDebuff, vv5.00
      HaloPro, v(v1.3)
      MoveAnything, v13.1.12
      OmniCC, v5.0.4
      OmniCCConfig, v
      Postal, v3.5.0
      Prat30, v3.5.1      
      Prat30Libraries, v
      ReforgeLite, v1.17
      sac, v1.1
      SexyMap, v2.3.1
      ShadowedUnitFrames, vv3.7.1
      ShadowPriestDoTTimer, v1.3
      Skada, v1.4-4
      SkadaDamage, v1.0
      SkadaDamageTaken, v1.0
      SkadaDeaths, v1.0
      SkadaDebuffs, v1.0
      SkadaHealing, v1.0
      TidyPlates, v6.7.9 (R548)
      TidyPlatesQuatre, v
      TidyPlatesHub, v
      TidyPlatesWidgets, v
      TomTom, vv50001-1.2.0
      BlizRuntimeLib_enUS v5.0.5.50001 <us>
      (ck=38f)

  • To post a comment, please login or register a new account.
Login to Curse

Don't have an account? Create One.

Get an epic experience with Curse Premium
  • Faster addon downloads
  • Premium-Only Beta Giveaways
  • Ad-Free Curse experience
  • Premium Curse Client
  • and many More Features
  • Learn More »

WildStar Add-on Contest!

Enter Now!